it-swarm-eu.dev

Jak downgrade na Python 3.4 z 3.5

Chci nainstalovat kivy ( link here ) pro použití v projektu, ale když se snažíte nainstalovat balíčky, které jsou závislé na pipech, dostanu následující chybu:

Could not find a version that satisfies the requirement kivy.deps.sdl2 (from versions: )
No matching distribution found for kivy.deps.sdl2

Další čtení na webových stránkách kivy odhalilo, že tyto knihovny nepodporují Python 3.5 v systému Windows 10 kvůli nějaké grafické chybě. Webové stránky říkají, že potřebujete Python 3.4, aby bylo možné nainstalovat.

Co přináší otázku: Jak nainstalovat python 3.4, když už mám python 3.5?

17
jdanaher

Odinstalujte Python 3.5 tím, že přejdete do ovládacího panelu, odinstalujete program a pak vyhledáte Python 3.5, kliknete na něj a stisknete odinstalovat. Poté stáhněte Python 3.4. Nevím žádné jiné způsoby, ale myslím, že by to mělo fungovat. 

8
prisno102030

Pokud máte instalaci Anaconda, stačí zadat:

conda install python=3.4

A instaluje 3.4, aby se znovu nainstalovala 3.5, je to

conda install python=3.5

Funguje to za minutu.

33
VectorVictor

Byl jsem schopen nainstalovat Python 3.4 do samostatného adresáře a pak jen změnit výchozí interpret v PyCharmu, abych použil nový adresář obsahující místo toho 3.4.

0
jdanaher